ข้ามไปยังเนื้อหา

Replace Background

ผสานการทำงาน

ID โมเดล bria/replace-background
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/bria/replace-background?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

คำขอนี้: $0.04 40 เครดิต API เรียกใช้ในหน้านี้

รับคีย์ API
Bria AI แก้ไขภาพ #bria#replace-background

แทนที่พื้นหลังของรูปภาพสินค้าโดยใช้พรอมต์ข้อความ พร้อมการควบคุมซีด ขั้นตอน และพรอมต์เชิงลบ

Bria AI · ภาพ

ผลลัพธ์แรกของคุณจะแสดงที่นี่

สร้างคำขอด้านล่างและเรียกใช้ด้วยคีย์ API ของคุณ เอาต์พุตจะถูกคัดลอกไปยังพื้นที่จัดเก็บของเรา และเก็บไว้ตลอดไปหรือฟรี 7 วัน

สร้างคำขอ

ตัวควบคุมสร้างจากสคีมาของโมเดล โค้ดและราคาจะอัปเดตเมื่อคุณเปลี่ยนค่า

พรอมต์ที่อธิบายพื้นหลังที่ต้องการแทนที่

ขั้นสูง negative_prompt · steps_num · seed
ค่าเริ่มต้น

พรอมต์เชิงลบที่ระบุสิ่งที่ต้องการตัดออกจากพื้นหลังที่แทนที่

ค่าเริ่มต้น 30

จำนวนขั้นตอนการอนุมานทั้งหมด

ค่าเริ่มต้น 4925634

Seed ที่ควบคุมความสุ่มเพื่อให้ได้ผลลัพธ์ที่สร้างซ้ำได้

POST /run/bria/replace-background?wait=20 ใบเสนอราคา → $0.04
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/bria/replace-background?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

เรียกใช้คำขอนี้

คีย์ของคุณจะอยู่ในเบราว์เซอร์นี้ โดยส่งไปยัง Doitong API เท่านั้น และจะบันทึกใน localStorage ก็ต่อเมื่อคุณเลือกจดจำ รับคีย์ API

เกี่ยวกับ Replace Background

สร้างพื้นหลังใหม่สำหรับภาพถ่ายสินค้าโดยอิงจาก `prompt` โดยมุ่งให้แสงและมุมมองดูสมจริง ตัวเลือกได้แก่ `negative_prompt`, `steps_num` (ค่าเริ่มต้น 30) และ `seed` เพื่อให้สร้างผลลัพธ์ซ้ำได้ ส่งคืนรูปภาพที่สร้างขึ้นและอาร์เรย์ รูปภาพ

พารามิเตอร์

ชื่อประเภท ค่าเริ่มต้นค่าที่อนุญาต คำอธิบาย
promptไม่บังคับ
ประเภทstring | null
พรอมต์ที่อธิบายพื้นหลังที่ต้องการแทนที่
seedไม่บังคับ
ประเภทinteger
ค่าเริ่มต้น4925634
Seed ที่ควบคุมความสุ่มเพื่อให้ได้ผลลัพธ์ที่สร้างซ้ำได้
steps_numไม่บังคับ
ประเภทinteger
ค่าเริ่มต้น30
จำนวนขั้นตอนการอนุมานทั้งหมด
negative_promptไม่บังคับ
ประเภทstring
ค่าเริ่มต้น
พรอมต์เชิงลบที่ระบุสิ่งที่ต้องการตัดออกจากพื้นหลังที่แทนที่
จำเป็น

เอาต์พุต

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "bria/replace-background",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 40,
    "usd": "0.04",
    "charged": 40,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "image": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768
    },
    "images": [
      {}
    ]
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ไฟล์ของคุณ คุณเลือกเองทุก outputs[].url คือสำเนาบนพื้นที่จัดเก็บของเรา: เก็บไว้ตลอดไป (คิดค่าบริการต่อ GB-เดือน) หรือฟรี 7 วัน โดยกำหนดได้ในการตั้งค่าบัญชีหรือ ?storage=
รูปแบบเดียวกันในทุกโมเดลtype, url, content_type, width, height และ duration สำหรับภาพ วิดีโอ และเสียงเหมือนกันทั้งหมด ส่วน output คือออบเจ็กต์ผลลัพธ์ของโมเดลเอง
ฟิลด์ของเอาต์พุต
image
object {url, content_type, file_name, file_size, width, height}รูปภาพที่โมเดลสร้าง
images
array of objectรูปภาพที่สร้างขึ้น

โมเดลเพิ่มเติม: แก้ไขภาพ

สำหรับเอเจนต์ AI: หน้า Markdown นี้อยู่ที่ https://doitong.com/th/developers/models/bria/replace-background.md. โมเดลและคู่มือทั้งหมด: https://doitong.com/developers/llms.txt